Make users with same name distinguishable when adding watchers

2014-08-08 05:31 - Thanh Trinh

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

As current redmine, when I search to add watchers, some members have the same name.

I need to know what email of theirs.

P/S : Users don't want to input email to add watchers because they don't remember it.

Related issues:

Related to Redmine - Defect #10310: Member search should distinguish people i... New

Related to Redmine - Feature #26127: Display user logins on profiles Closed

History

#1 - 2014-08-08 23:09 - Jan Niggemann (redmine.org team member)

- Tracker changed from Patch to Feature

- Subject changed from Please add email next to the name when add watchers to Make users with same name distinguishable when adding watchers

- Priority changed from High to Normal

We do not expose the email addresses of the users on purpose, but maybe support for a middle initial or other distinctive field would be a good idea?

While it's already possible to add custom fields to the user profile, these are not taken into account in the selection of watchers.

#2 - 2014-08-10 06:08 - Thanh Trinh

name middle initial is not good enough because our users don't come from US so different naming rule.

I haven't heard about purpose not to show email in watchers yet. where can I locate it?

Also, we are not using any user custom fields.

BTW, we're glad to hear any solution to make our users comfortable.

Thanks.

#3 - 2015-10-16 12:00 - Manuel Mai

+1 for this!

Anyone got a solution or patch for this?

Thanks, Manuel

#4 - 2016-01-18 03:55 - Go MAEDA

- Related to Defect #10310: Member search should distinguish people in case of duplicate names added

#5 - 2018-08-21 17:22 - Marius BĂLTEANU

- Related to Feature #26127: Display user logins on profiles added
